Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
23.04.2021, 02:21:32

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25526
  • Letzte: cello
Statistiken
  • Beiträge insgesamt: 730668
  • Themen insgesamt: 58933
  • Heute online: 427
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 5
Gäste: 313
Gesamt: 318

Autor Thema:  LM 19.3 MATE 64bit - My-weather-indicator ist defekt  (Gelesen 517 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Seit heute morgen startet my-weather-indicator nicht mehr.

Ich habe die Version 0.9.5-0extras20.04.05 in synaptic gesperrt, weil ich, als die 0.9.5-0extras20.04.09 rauskam, das Problem hatte, dass sich das Widget nicht per Drag&Drop verschieben ließ.

Nun startete aber heute morgen die Version 0.9.5-0extras20.04.05 nicht mehr und Löschen von
/home/username/.config/my-weather-indicator/my-weather-indicator.confhalf auch nicht.

Dann habe ich die 0.9.5-0extras20.04.05 entsperrt, entfernt und die 0.9.5-0extras20.04.09 installiert.
Damit konnte ich nun wieder nicht das Widget verschieben.

Leider finde ich die 0.9.5-0extras20.04.05 zum erneuten Installieren nicht mehr.
Deshalb bin ich per Timeshift auf gestern zurück gegangen, geht aber trotzdem nicht.

Wenn ich das Tool im Terminal starten will, bekomme ich folgendes:
/opt/extras.ubuntu.com/my-weather-indicator/bin/my-weather-indicator
<gettext.GNUTranslations object at 0x7f21432835f8>
#####################################################
System: Linux
Machine: x86_64
Node: PC-NAME
Release: 5.4.0-54-generic
Version: #60~18.04.1-Ubuntu SMP Fri Nov 6 17:25:16 UTC 2020
Platform: Linux-5.4.0-54-generic-x86_64-with-LinuxMint-19.3-tricia
My-Weather-Indicator version: 0.9.5-0extras20.04.05
#####################################################

My-Weather-Indicator version: 0.9.5-0extras20.04.05
#####################################################
****** Requesting timezone identificacion
** OWM **
2894003 Orts-Koordinaten
1
***** refreshing weather *****
OK. Internet connection. HTTPConnection: www.google.com
--- Updating data in location 0 ---
****** Updating weather
****** Calculating rawOffset
-------------------------------------------------------
OpenWeatherMap Weather Service url:http://api.openweathermap.org/data/2.5/weather?id=2894003&appid=4516154e5c8a6494e7e13b550408c863
-------------------------------------------------------
Traceback (most recent call last):
  File "/opt/extras.ubuntu.com/my-weather-indicator/bin/my-weather-indicator", line 36, in <module>
    main()
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py", line 955, in main
    MWI()
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py", line 125, in __init__
    self.load_preferences()
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py", line 351, in load_preferences
    self.update_weather()
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py", line 140, in update_weather
    self.update_menu(i)
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/myweatherindicator.py", line 668, in update_menu
    weather = self.weatherservices[index].get_weather()
  File "/opt/extras.ubuntu.com/my-weather-indicator/share/my-weather-indicator/wopenweathermapapi.py", line 263, in get_weather
    condition = CONDITION[data['weather'][0]['id']]
KeyError: 616

Wie bekomme ich nun wieder eine funktionierende Version?

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #1 am: 30.11.2020, 16:47:00 »
Hallo,
ich habe das gleiche Widget  in Version 0.9.5-0extras20.04.09.
Bei mir funktioniert es Super.

Ich würde deine bisherigen Installationen deinstallieren, so wie du es installiert hast.

Meine Vorgehensweise war immer so:

sudo add-apt-repository ppa:atareao/atareao
sudo apt update
sudo apt install my-weather-indicator

So sollte es bei dir auch funktionieren.
Gruß sonar

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #2 am: 30.11.2020, 18:12:06 »
Hast Du auch Mint 19.3? Ich vermute eher, Du hast Mint 20.
Auf 19.3 scheint es nicht zu gehen.

Wenn ich die .conf des Tools lösche, kommt das Programm-Fenster zum Einstellen, ich wähle den Ort, klicke OK und... nichts mehr passiert.

EDIT:
Auch mit diesem Patch geht es nicht.

EDIT2:
Als vorläufige Lösung bin ich auf "Gis Weather" umgestiegen, das leider nur bei den grauen Sketchy-Symbolen einen vollständigen Symbol-Satz hat.
Alle anderen bringen teilweise nur Fragezeichen.
Ich suche aber weiter eine Lösung für my-weather-indicator.
« Letzte Änderung: 30.11.2020, 18:41:42 von Centauri39 »

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #3 am: 30.11.2020, 18:46:46 »
Hallo Centauri39,
ja du hast Recht - ich habe 

Kernel: 5.9.10-050910-generic x86_64 bits: 64 Desktop: Cinnamon 4.6.7
Distro: Linux Mint 20 Ulyana


Trotzdem vorher hatte ich auch Cin 19.3 und dort hat meine Vorgehensweise auch funktioniert.

Ich denke mal das die Installation - wie von mir beschrieben auf jedem Linux-System installierbar ist. Bei mir hat es z.B. auch unter Zorin geklappt.
Bei diesen ganzen Installationen denke ich ist es wichtig alle bisherigen Installationen zu deinstallieren.

Mit
dpkg -l | grep ^rckannst du die Paketreste feststellen und mit
sudo apt purge Paketnamehast du die Möglichkeit diese Reste zu deinstallieren.

Wünsche dir viel Erfolg.
Gruß sonar

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #4 am: 30.11.2020, 20:19:07 »
Ich habe auch noch ein Peppermint und ein LXLE als VM's. Auf diesen beiden läuft es auch nicht mehr.
Da ich dort außer System-Updates nichts gemacht habe, muss es wohl einen Zusammenhang zu den letzten Updates geben.

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #5 am: 30.11.2020, 20:34:55 »
Das mit den Updates ist denkbar.

Hier bin ich jetzt raus.

Wünsche dir weiterhin viel Erfolg.

Re: LM 19.3 MATE 64bit - My-weather-indicator ist defekt
« Antwort #6 am: 30.11.2020, 23:23:04 »
Ich habe inzwischen alle Linuxe, die my-weather-indicator hatten, auf gis-weather umgestellt.
Es gibt da wohl gerade irgendwelche Inkompatibilitäten mit my-weather-indicator, aufgrund von System-Updates.